Open CASCADE Technology: MgtGeom Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
MgtGeom Class Reference

This package provides methods to translate transient objects from Geom to persistent objects from PGeom and vice-versa. No track from previous translation is kept. More...

`#include <MgtGeom.hxx>`

## Static Public Member Functions
static Handle< Geom_Axis1Placement > | Translate (const Handle< PGeom_Axis1Placement > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Axis1Placement > | Translate (const Handle< Geom_Axis1Placement > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Axis2Placement > | Translate (const Handle< PGeom_Axis2Placement > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Axis2Placement > | Translate (const Handle< Geom_Axis2Placement > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_BSplineCurve > | Translate (const Handle< PGeom_BSplineCurve > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_BSplineCurve > | Translate (const Handle< Geom_BSplineCurve > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_BSplineSurface > | Translate (const Handle< PGeom_BSplineSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_BSplineSurface > | Translate (const Handle< Geom_BSplineSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_BezierCurve > | Translate (const Handle< PGeom_BezierCurve > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_BezierCurve > | Translate (const Handle< Geom_BezierCurve > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_BezierSurface > | Translate (const Handle< PGeom_BezierSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_BezierSurface > | Translate (const Handle< Geom_BezierSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_CartesianPoint > | Translate (const Handle< PGeom_CartesianPoint > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_CartesianPoint > | Translate (const Handle< Geom_CartesianPoint > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Circle > | Translate (const Handle< PGeom_Circle > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Circle > | Translate (const Handle< Geom_Circle > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_ConicalSurface > | Translate (const Handle< PGeom_ConicalSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_ConicalSurface > | Translate (const Handle< Geom_ConicalSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Curve > | Translate (const Handle< PGeom_Curve > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. Raises NullObject if the PObj type has no mapping. More...
static Handle< PGeom_Curve > | Translate (const Handle< Geom_Curve > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. Raises NullObject if the TObj type has no mapping. More...
static Handle< Geom_CylindricalSurface > | Translate (const Handle< PGeom_CylindricalSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_CylindricalSurface > | Translate (const Handle< Geom_CylindricalSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Direction > | Translate (const Handle< PGeom_Direction > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Direction > | Translate (const Handle< Geom_Direction > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Ellipse > | Translate (const Handle< PGeom_Ellipse > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Ellipse > | Translate (const Handle< Geom_Ellipse > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Hyperbola > | Translate (const Handle< PGeom_Hyperbola > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Hyperbola > | Translate (const Handle< Geom_Hyperbola > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Line > | Translate (const Handle< PGeom_Line > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Line > | Translate (const Handle< Geom_Line > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_OffsetCurve > | Translate (const Handle< PGeom_OffsetCurve > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_OffsetCurve > | Translate (const Handle< Geom_OffsetCurve > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_OffsetSurface > | Translate (const Handle< PGeom_OffsetSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_OffsetSurface > | Translate (const Handle< Geom_OffsetSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Parabola > | Translate (const Handle< PGeom_Parabola > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Parabola > | Translate (const Handle< Geom_Parabola > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Plane > | Translate (const Handle< PGeom_Plane > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Plane > | Translate (const Handle< Geom_Plane > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Point > | Translate (const Handle< PGeom_Point > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Point > | Translate (const Handle< Geom_Point > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_RectangularTrimmedSurface > | Translate (const Handle< PGeom_RectangularTrimmedSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_RectangularTrimmedSurface > | Translate (const Handle< Geom_RectangularTrimmedSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_SphericalSurface > | Translate (const Handle< PGeom_SphericalSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_SphericalSurface > | Translate (const Handle< Geom_SphericalSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Surface > | Translate (const Handle< PGeom_Surface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. Raises NullObject if the PObj type has no mapping. More...
static Handle< PGeom_Surface > | Translate (const Handle< Geom_Surface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. Raises NullObject if the TObj type has no mapping. More...
static Handle< Geom_SurfaceOfLinearExtrusion > | Translate (const Handle< PGeom_SurfaceOfLinearExtrusion > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_SurfaceOfLinearExtrusion > | Translate (const Handle< Geom_SurfaceOfLinearExtrusion > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_SurfaceOfRevolution > | Translate (const Handle< PGeom_SurfaceOfRevolution > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_SurfaceOfRevolution > | Translate (const Handle< Geom_SurfaceOfRevolution > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_ToroidalSurface > | Translate (const Handle< PGeom_ToroidalSurface > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_ToroidalSurface > | Translate (const Handle< Geom_ToroidalSurface > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_Transformation > | Translate (const Handle< PGeom_Transformation > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_Transformation > | Translate (const Handle< Geom_Transformation > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_TrimmedCurve > | Translate (const Handle< PGeom_TrimmedCurve > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_TrimmedCurve > | Translate (const Handle< Geom_TrimmedCurve > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...
static Handle< Geom_VectorWithMagnitude > | Translate (const Handle< PGeom_VectorWithMagnitude > &PObj)
| Translate <PObj> to its Transient equivalent from Geom. More...
static Handle< PGeom_VectorWithMagnitude > | Translate (const Handle< Geom_VectorWithMagnitude > &TObj)
| Translate <TObj> to its Persistent equivalent from PGeom. More...

## Detailed Description

This package provides methods to translate transient objects from Geom to persistent objects from PGeom and vice-versa. No track from previous translation is kept.

Data is not shared:

- between transient and persistent objects, or
- between two successive translations of the same object.

## Member Function Documentation

static Handle< Geom_Axis1Placement > MgtGeom::Translate | ( | const Handle< PGeom_Axis1Placement > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Axis1Placement > MgtGeom::Translate | ( | const Handle< Geom_Axis1Placement > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Axis2Placement > MgtGeom::Translate | ( | const Handle< PGeom_Axis2Placement > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Axis2Placement > MgtGeom::Translate | ( | const Handle< Geom_Axis2Placement > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_BSplineCurve > MgtGeom::Translate | ( | const Handle< PGeom_BSplineCurve > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_BSplineCurve > MgtGeom::Translate | ( | const Handle< Geom_BSplineCurve > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_BSplineSurface > MgtGeom::Translate | ( | const Handle< PGeom_BSplineSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_BSplineSurface > MgtGeom::Translate | ( | const Handle< Geom_BSplineSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_BezierCurve > MgtGeom::Translate | ( | const Handle< PGeom_BezierCurve > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_BezierCurve > MgtGeom::Translate | ( | const Handle< Geom_BezierCurve > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_BezierSurface > MgtGeom::Translate | ( | const Handle< PGeom_BezierSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_BezierSurface > MgtGeom::Translate | ( | const Handle< Geom_BezierSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_CartesianPoint > MgtGeom::Translate | ( | const Handle< PGeom_CartesianPoint > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_CartesianPoint > MgtGeom::Translate | ( | const Handle< Geom_CartesianPoint > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Circle > MgtGeom::Translate | ( | const Handle< PGeom_Circle > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Circle > MgtGeom::Translate | ( | const Handle< Geom_Circle > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_ConicalSurface > MgtGeom::Translate | ( | const Handle< PGeom_ConicalSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_ConicalSurface > MgtGeom::Translate | ( | const Handle< Geom_ConicalSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Curve > MgtGeom::Translate | ( | const Handle< PGeom_Curve > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom. Raises NullObject if the PObj type has no mapping.

static Handle< PGeom_Curve > MgtGeom::Translate | ( | const Handle< Geom_Curve > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom. Raises NullObject if the TObj type has no mapping.

static Handle< Geom_CylindricalSurface > MgtGeom::Translate | ( | const Handle< PGeom_CylindricalSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_CylindricalSurface > MgtGeom::Translate | ( | const Handle< Geom_CylindricalSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Direction > MgtGeom::Translate | ( | const Handle< PGeom_Direction > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Direction > MgtGeom::Translate | ( | const Handle< Geom_Direction > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Ellipse > MgtGeom::Translate | ( | const Handle< PGeom_Ellipse > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Ellipse > MgtGeom::Translate | ( | const Handle< Geom_Ellipse > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Hyperbola > MgtGeom::Translate | ( | const Handle< PGeom_Hyperbola > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Hyperbola > MgtGeom::Translate | ( | const Handle< Geom_Hyperbola > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Line > MgtGeom::Translate | ( | const Handle< PGeom_Line > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Line > MgtGeom::Translate | ( | const Handle< Geom_Line > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_OffsetCurve > MgtGeom::Translate | ( | const Handle< PGeom_OffsetCurve > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_OffsetCurve > MgtGeom::Translate | ( | const Handle< Geom_OffsetCurve > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_OffsetSurface > MgtGeom::Translate | ( | const Handle< PGeom_OffsetSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_OffsetSurface > MgtGeom::Translate | ( | const Handle< Geom_OffsetSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Parabola > MgtGeom::Translate | ( | const Handle< PGeom_Parabola > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Parabola > MgtGeom::Translate | ( | const Handle< Geom_Parabola > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Plane > MgtGeom::Translate | ( | const Handle< PGeom_Plane > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Plane > MgtGeom::Translate | ( | const Handle< Geom_Plane > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Point > MgtGeom::Translate | ( | const Handle< PGeom_Point > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Point > MgtGeom::Translate | ( | const Handle< Geom_Point > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_RectangularTrimmedSurface > MgtGeom::Translate | ( | const Handle< PGeom_RectangularTrimmedSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_RectangularTrimmedSurface > MgtGeom::Translate | ( | const Handle< Geom_RectangularTrimmedSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_SphericalSurface > MgtGeom::Translate | ( | const Handle< PGeom_SphericalSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_SphericalSurface > MgtGeom::Translate | ( | const Handle< Geom_SphericalSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Surface > MgtGeom::Translate | ( | const Handle< PGeom_Surface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom. Raises NullObject if the PObj type has no mapping.

static Handle< PGeom_Surface > MgtGeom::Translate | ( | const Handle< Geom_Surface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom. Raises NullObject if the TObj type has no mapping.

static Handle< Geom_SurfaceOfLinearExtrusion > MgtGeom::Translate | ( | const Handle< PGeom_SurfaceOfLinearExtrusion > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_SurfaceOfLinearExtrusion > MgtGeom::Translate | ( | const Handle< Geom_SurfaceOfLinearExtrusion > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_SurfaceOfRevolution > MgtGeom::Translate | ( | const Handle< PGeom_SurfaceOfRevolution > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_SurfaceOfRevolution > MgtGeom::Translate | ( | const Handle< Geom_SurfaceOfRevolution > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_ToroidalSurface > MgtGeom::Translate | ( | const Handle< PGeom_ToroidalSurface > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_ToroidalSurface > MgtGeom::Translate | ( | const Handle< Geom_ToroidalSurface > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_Transformation > MgtGeom::Translate | ( | const Handle< PGeom_Transformation > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_Transformation > MgtGeom::Translate | ( | const Handle< Geom_Transformation > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_TrimmedCurve > MgtGeom::Translate | ( | const Handle< PGeom_TrimmedCurve > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_TrimmedCurve > MgtGeom::Translate | ( | const Handle< Geom_TrimmedCurve > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

static Handle< Geom_VectorWithMagnitude > MgtGeom::Translate | ( | const Handle< PGeom_VectorWithMagnitude > & | PObj | ) |
| static

Translate <PObj> to its Transient equivalent from Geom.

static Handle< PGeom_VectorWithMagnitude > MgtGeom::Translate | ( | const Handle< Geom_VectorWithMagnitude > & | TObj | ) |
| static

Translate <TObj> to its Persistent equivalent from PGeom.

The documentation for this class was generated from the following file:

- MgtGeom.hxx